
Figure - Bug #114647
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】时钟应用由小窗变为全屏的过程中，有50%的概率没有小窗变全屏的动画效果
2022-12-16 15:55 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-16

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

Reproducibility: Frequently Fixed Version: 2022-12-27

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开时钟小窗

2、点击全屏按钮

【预期结果】

2、时钟由小窗变为全屏，并有相应的动画效果

【实际结果】

2、有50%的概率没有小窗变全屏的动画效果

History

#1 - 2022-12-23 11:53 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2022-12-26 10:04 - CD APP-李德盛

- Assignee changed from CD APP-王宏 to CD APP-李德盛

#3 - 2022-12-26 15:47 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to AOSP问题

■ Current conclusion

GrantPermissionsActivity阻止了动画的运行

■ My analysis

org.codeaurora.permission.POWER_OFF_ALARM权限不存在，导致每次onCreate时都会请求权限，此时GrantPermissionsActivity会被短暂地移到前台，导致

小窗动画无法运行

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DeskClock/+/172270

#4 - 2022-12-26 16:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172270 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW: DeskClock: fix free window full screen animation1. fix free window full screen animation is invalidTC-RID: 1201-0300901IssueID:

TS-R-BUG-114647Change-Id: Ica8112e754fa477245d67f9d7ff18f848fe50c15

#5 - 2022-12-26 16:48 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD TEST-方永红

- Fixed Version set to 2022-12-27

#6 - 2022-12-27 16:41 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0062.X101

12.27

验证通过

#7 - 2022-12-27 16:41 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-16 15-54-56.mp4 19.6 MB 2022-12-16 CD TEST-方永红
